package com.thomaskuenneth.android;

import java.util.List;

import android.accessibilityservice.AccessibilityService;
import android.accessibilityservice.AccessibilityServiceInfo;
import android.view.accessibility.AccessibilityEvent;
import android.widget.Toast;

public class DemoAccessibilityService extends AccessibilityService {

	@Override
	protected void onServiceConnected() {
		setServiceInfo(info);
	}

	@Override
	public void onAccessibilityEvent(AccessibilityEvent event) {
		CharSequence cs = event.getContentDescription();
		if ((cs == null) || (cs.length() == 0)) {
			List<CharSequence> list = event.getText();
			if ((list != null) && (list.size() > 0)) {
				cs = list.get(0);
			}
		}
		if ((cs != null) && (cs.length() > 0)) {
			Toast t = Toast.makeText(getBaseContext(), cs, Toast.LENGTH_SHORT);
			t.show();
		}
	}

	@Override
	public void onInterrupt() {
	}

	private static AccessibilityServiceInfo info = new AccessibilityServiceInfo() {
		{
			feedbackType = FEEDBACK_VISUAL;
			eventTypes = AccessibilityEvent.TYPE_VIEW_FOCUSED;
		}
	};
}
